<section class="p-2">
  <form [formGroup]="searchForm" (ngSubmit)="searchMovie()">
    <label class="mr-2" for="query">Find a movie:</label>
    <input pInputText class="mr-2" id="query" formControlName="query" />
    <p-button type="submit">Search</p-button>
  </form>
</section>

<section *ngIf="searchedMovies">
  <section *ngFor="let movie of searchedMovies">
    <p-card [header]="movie.title">
      <img
        src="https://image.tmdb.org/t/p/w200{{ movie.posterPath }}"
        alt="{{ movie.title }}"
      />
      <p class="m-0">
        {{ movie.overview }}
      </p>
      <section>
        <button
          (click)="addToFavorites(movie)"
          pButton
          [icon]="movie.isFavorite ? 'pi pi-heart-fill' : 'pi pi-heart'"
        ></button>
      </section>
    </p-card>
  </section>
</section>

<!-- <app-home-discover-movies></app-home-discover-movies> -->
